gnutls_x509_rdn_get(3)

NAME
gnutls_x509_rdn_get - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get(const gnutls_datum_t * idn, char * buf, size_t * buf_size);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

char * buf
    a pointer to a structure to hold the peer's name

size_t * buf_size
    holds the size of buf

DESCRIPTION
This function will return the name of the given RDN sequence. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC4514.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or GNUTLS_E_SHORT_MEMORY_BUFFER is returned and * buf_size is updated if the provided buffer is not long enough, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/